complexType "OrderStatus"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 16 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definitions of 16 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | ((requesterOrderId, orderId?) | orderId), submittedTime?, order?, status?, ((reason?, counterofferQuote?) | (totalSize?, fills?, filledSize?, remainingSize?, fill*, (trade | tradeIdentifier+)?, creditLimitReference*))?
</...>

Content Model Elements (16):

  counterofferQuote, creditLimitReference (in orderStatus), fill, filledSize, fills, order, orderId (in orderStatus), orderId (in orderStatus), | reason (in orderStatus), remainingSize, requesterOrderId, status (in orderStatus), submittedTime, totalSize, trade (in orderStatus), tradeIdentifier (in orderStatus)

All Direct / Indirect Based Elements (1):

  orderStatus

Known Usage Locations

- As direct type of elements (1):
  orderStatus

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="OrderStatus"> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:element name="requesterOrderId" type="xsd:normalizedString"/> <!-- orderer's ID --> <xsd:element minOccurs="0" name="orderId" type="xsd:normalizedString"/> <!-- SEF's order ID --> </xsd:sequence> <xsd:element name="orderId" type="xsd:normalizedString"/> <!-- SEF's order ID --> </xsd:choice> <xsd:element minOccurs="0" name="submittedTime" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="order" type="xsd:string"/> <!-- echo back the order / DUMMY placeholder --> <xsd:element minOccurs="0" name="status" type="OrderStatusEnum"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="reason" type="Reason"/> <!-- reason for a rejected quote --> <xsd:element minOccurs="0" name="counterofferQuote" type="xsd:string"/> <!-- supply a counter-offer quote, e.g. if order is rejected / DUMMY placeholder --> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="totalSize" type="xsd:decimal"/> <!-- number of units of the product being ordered --> <xsd:element minOccurs="0" name="fills" type="xsd:integer"/> <!-- number of fills so far --> <xsd:element minOccurs="0" name="filledSize" type="xsd:decimal"/> <!-- number of units of the product filled so far --> <xsd:element minOccurs="0" name="remainingSize" type="xsd:decimal"/> <!-- number of units of the product remaining to be filled --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fill" type="OrderFill"/> <!-- info about the fills --> <xsd:choice minOccurs="0"> <xsd:element name="trade" type="Trade"/> <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="TradeIdentifier"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitReference" type="CreditLimitReference"/> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 16/16)
counterofferQuote

  Type: | xsd:string, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="counterofferQuote" type="xsd:string"/>

creditLimitReference

  Type: | CreditLimitReference, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitReference" type="CreditLimitReference"/>

fill

  Type: | OrderFill, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="fill" type="OrderFill"/>

filledSize

  Type: | xsd:decimal, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="filledSize" type="xsd:decimal"/>

fills

  Type: | xsd:integer, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="fills" type="xsd:integer"/>

order

  Type: | xsd:string, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="order" type="xsd:string"/>

orderId

  Type: | xsd:normalizedString, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="orderId" type="xsd:normalizedString"/>

orderId

  Type: | xsd:normalizedString, predefined, simple content

  XML Source (see within schema source)

  <xsd:element name="orderId" type="xsd:normalizedString"/>

reason

  Type: | Reason, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="reason" type="Reason"/>

remainingSize

  Type: | xsd:decimal, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="remainingSize" type="xsd:decimal"/>

requesterOrderId

  Type: | xsd:normalizedString, predefined, simple content

  XML Source (see within schema source)

  <xsd:element name="requesterOrderId" type="xsd:normalizedString"/>

status

  Type: | OrderStatusEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Cancelled" | - | Order was cancelled/retracted by the submitter.
  "Rejected" | - | Order was rejected by the recipient.
  "Accepted" | - | Order has been accepted but not yet acted on.
  "Working" | - | Order has been partly filled (executed).
  "Filled" | - | Order has been completely filled.
  "Completed" | - | Order has been completely filled, and all fills have been fully reported/processed as required.

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="status" type="OrderStatusEnum"/>

submittedTime

  Type: | xsd:dateTime, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="submittedTime" type="xsd:dateTime"/>

totalSize

  Type: | xsd:decimal, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="totalSize" type="xsd:decimal"/>

trade

  Type: | Trade, complex content

  trade description.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="trade" type="Trade"/>

tradeIdentifier

  Type: | TradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="TradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.